: Class LinkedList

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weiss.nonstandard
Class LinkedList

    java.lang.Object
      |
      +--weiss.nonstandard.LinkedList

Direct Known Subclasses:
  SortedLinkedList

public class LinkedList
extends java.lang.Object

Linked list implementation of the list using a header node. Access to the list is via LinkedListIterator.

See Also:
  `LinkedListIterator`

Constructor Summary
`LinkedList()` Construct the list

Method Summary
`LinkedListIterator` | `find(java.lang.Object x)` Return iterator corresponding to the first node containing an item.
`LinkedListIterator` | `findPrevious(java.lang.Object x)` Return iterator prior to the first node containing an item.
`LinkedListIterator` | `first()` Return an iterator representing the first node in the list.
`void` | `insert(java.lang.Object x, LinkedListIterator p)` Insert after p.
`boolean` | `isEmpty()` Test if the list is logically empty.
`static int` | `listSize(LinkedList theList)`
`static void` | `main(java.lang.String[] args)`
`void` | `makeEmpty()` Make the list logically empty.
`static void` | `printList(LinkedList theList)`
`void` | `remove(java.lang.Object x)` Remove the first occurrence of an item.
`LinkedListIterator` | `zeroth()` Return an iterator representing the header node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkedList

    public LinkedList()

  Construct the list

Method Detail

### isEmpty

    public boolean isEmpty()

  Test if the list is logically empty.
  Returns:
    true if empty, false otherwise.

### makeEmpty

    public void makeEmpty()

  Make the list logically empty.

### zeroth

    public LinkedListIterator zeroth()

  Return an iterator representing the header node.

### first

    public LinkedListIterator first()

  Return an iterator representing the first node in the list. This operation is valid for empty lists.

### insert

    public void insert(java.lang.Object x,
                       LinkedListIterator p)

  Insert after p.
  Parameters:
    `x` - the item to insert.
    `p` - the position prior to the newly inserted item.

### find

    public LinkedListIterator find(java.lang.Object x)

  Return iterator corresponding to the first node containing an item.
  Parameters:
    `x` - the item to search for.
  Returns:
    an iterator; iterator is not valid if item is not found.

### findPrevious

    public LinkedListIterator findPrevious(java.lang.Object x)

  Return iterator prior to the first node containing an item.
  Parameters:
    `x` - the item to search for.
  Returns:
    appropriate iterator if the item is found. Otherwise, the iterator corresponding to the last element in the list is returned.

### remove

    public void remove(java.lang.Object x)

  Remove the first occurrence of an item.
  Parameters:
    `x` - the item to remove.

### printList

    public static void printList(LinkedList theList)

### listSize

    public static int listSize(LinkedList theList)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD